> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ai/aig/ai-gateway-usage/describeaimonthlytotalcost.md).

# DescribeAiMonthlyTotalCost

## 1. API Description

This API (DescribeAiMonthlyTotalCost) is used to describe AI monthly total cost

{% hint style="info" %}
**Notes**

* For the authentication method of this API, refer to [Authentication](/api-reference/api-introduction/instruction/authorization.md)
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type   | Description                           |
| --------------- | -------- | ------ | ------------------------------------- |
| month           | Yes      | String | Month, format: "2026-2" or "2026-02". |
| instanceIds     | No       | String | Instance ID.                          |
| resourceGroupId | No       | String | Resource group ID.                    |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCost      | Float  | Total monthly cost of the AI gateway.                                                                                 |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the total cost of the AI gateway in the specified month.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/aigw
Content-Type: application/json
X-ZC-Action: DescribeAiMonthlyTotalCost
<Common Request Params>

Request:
{
    "instanceIds": "1652682429418183507",
    "month": "2026-03"
}
Response:
{
    "requestId": "TD7BF73E4-7387-4290-B2E9-0739BB9625E3",
    "response": {
        "requestId": "TD7BF73E4-7387-4290-B2E9-0739BB9625E3",
        "totalCost": 0.0134445
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
